﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinFormsApp1
{
    public class MyTitle : INotifyPropertyChanged
    {
        string title = "test2";

        public string Title
        {
            get { return title; }
            set
            {
                if (title == value)
                {
                    return;
                }

                title = value;
                var propArg = new PropertyChangedEventArgs(nameof(Title));
                PropertyChanged?.Invoke(this, propArg);
            }
        }

        public event PropertyChangedEventHandler? PropertyChanged;
    }
}
